For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet all Companies
      • POSTCreate a company
      • GETGet a company
      • DELDelete a company
      • PATCHUpdate a company
      • POSTCreate a company/deal attribute
      • GETGet company attributes
      • PATCHLink and Unlink company with contact and deal
      • POSTImport companies(creation and updation)
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMCompanies

Create a company/deal attribute

POST
https://api.brevo.com/v3/crm/attributes
POST
/v3/crm/attributes
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.companies.createACompanyDealAttribute({
8 attributeType: "single-select",
9 label: "Attribute Label",
10 objectType: "companies",
11 });
12}
13main();
1{
2 "id": "61a5cd07ca1347c82306ad07"
3}

Create a new custom attribute for companies or deals. The attribute label must be unique within the object type, cannot exceed 50 characters, and cannot use reserved names. For single-select or multi-choice attribute types, you must also provide the optionsLabels array.

Was this page helpful?
Previous

Get company attributes

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

Attribute creation data for a company/deal.

attributeTypeenumRequired

The type of attribute (must be one of the defined enums)

labelstringRequired

The label for the attribute (max 50 characters, cannot be empty)

objectTypeenumRequired

The type of object the attribute belongs to. Must be either companies or deals.

Allowed values:
descriptionstringOptional
A description of the attribute
optionsLabelslist of stringsOptional

Options for multi-choice or single-select attributes

Response

Created new attribute
idstring
Unique ID of the created attribute

Errors

400
Bad Request Error